import javax.swing.*;
/**
 * Borland TextField: BTextField is just like JTextField, only better * 
 */
public class BTextField extends JTextField
{
    public BTextField()
    {
        super();
    }
    
    /**
     * Gets the value in the textfield as an integer - returns -1 if not an integer
     */
    public int getInt()
    {
        try {
            return Integer.parseInt(getText());
        }
        catch (Exception e)
        {
            System.out.println("not a int");
            return -1;
        }
    }

    /**
     * Gets the value in the textfield as an double - returns -1 if not an integer
     */    
    public double getDouble()
    {
        try{
            return Double.parseDouble(getText());
        }
        catch (Exception e)
        {
            System.out.println("not an double");
            return -1;
        }
    }
    
    /**
     * Set the text to an int
     */    
    public void setText(int i)
    {
        setText(""+i);
    }
    
    /**
     * Set the text to an double
     */         
    public void setText(double i)
    {
        setText(""+i);
    }
}
